$(function() {
	loginStatus(); //判断个人是否登录
	var userid = $.cookie("userid");
	var orgId = GetQueryString("orgId");
	var oName = "";

	//	ifcollectionAbout(orgId, 1)

	if(orgId) {
		getCmpInfo(orgId); //获取个人详细信息
		getResource(1, 10, true); //获取个人发布的资源
		getArticle(1, 10, true); //获取个人发布的文章
		ifCollection();
		function ifCollection() {
		$.ajax({
			url: "/ajax/watch/hasWatch",
			data: {
				"professorId": userid,
				"watchObject": orgId
			},
			dataType: 'json', //数据格式类型
			type: 'get', //http请求类型
			timeout: 10000,
			async: true,
			success: function(data) {				
					if(data.success && data.data != null) {
						$('.attenSpan').addClass("attenSpanyes");
						$('.attenSpan').addClass("attenedSpan");
						$('.attenSpan').text('已关注');
						zjreturnId = data.data.watchObject;
					} else {
						$('.attenSpan').removeClass("attenSpanyes");
						$('.attenSpan').removeClass("attenedSpan");
						$('.attenSpan').text('关注');
					}
			},
			error: function() {
				$.MsgBox.Alert('提示', "服务器链接超时");
			}
		});
	}
		/*关注专家*/
	function collectionExpert(watchObject) {
		$.ajax({
			url: "/ajax/watch",
			data: {
				"professorId": userid,
				"watchObject": watchObject,
				"watchType": 6
			},
			dataType: 'json', //数据格式类型
			type: 'POST', //http请求类型
			timeout: 10000,
			async: false,
			success: function(data) {
					if(data.success) {
						$('.attenSpan').addClass("attenSpanyes");
						$('.attenSpan').addClass("attenedSpan");
						$('.attenSpan').text('已关注');
						zjreturnId = data.data.watchObject;
					}
			},
			error: function() {
				$.MsgBox.Alert('提示', "服务器链接超时");
			}
		});
	}
	/*取消收藏专家*/
	function cancelCollectionExpert(watchObject) {
		$.ajax({
			url: "/ajax/watch/delete",
			data: {
				professorId: userid,
				watchObject: watchObject
			},
			dataType: 'json', //数据格式类型
			type: 'post', //http请求类型
			timeout: 10000,
			async: true,
			success: function(data) {
				console.log(data.success)
					if(data.success) {
						$('.attenSpan').removeClass("attenSpanyes");
						$('.attenSpan').removeClass("attenedSpan");
						$('.attenSpan').text('关注');
					}
			},
			error: function(data) {
				$.MsgBox.Alert('提示', "服务器链接超时");
			}
		});

	}
		//点击关注按钮
				$("#attentBtn").on('click', function() {
					if(userid && userid != null && userid != "null") {
						if($(this).is('.attenSpanyes')){
							cancelCollectionExpert(orgId)
						} else {
							collectionExpert(orgId);
						}
					}else{
						$.MsgBox.Alert("提示", "请先登录再进行关注");
						$("#mb_btn_ok").val("去登录");
						var aele = document.createElement('a');
						$("#mb_btnbox").append(aele);
						$("#mb_btnbox a").css({
							'display': "block",
							'width': '100%',
							'height': '40px',
							'position': 'absolute',
							'bottom': '-6px',
							'left': '0'
						});
						aele.setAttribute('href', '../login.html');
					}
				});	

		//点击查看全部资源
		$(".coninfobox").on("click", "#seeMoreR", function() {
			document.body.scrollTop = document.documentElement.scrollTop = 0;
			$(".navconBox ul>li").eq(1).addClass("liNow").siblings().removeClass("liNow");
			$("#item1user").hide();
			$("#item2user").show();
		})
		//点击查看全部文章
		$(".coninfobox").on("click", "#seeMoreA", function() {
			document.body.scrollTop = document.documentElement.scrollTop = 0;
			$(".navconBox ul>li").eq(2).addClass("liNow").siblings().removeClass("liNow");
			$("#item1user").hide();
			$("#item3user").show();
		})
	}

	function subjectShow(data) {
		console.log(data)
		if(data != undefined && data.length != 0) {
			var subs = new Array();
			if(data.indexOf(',')) {
				subs = data.split(',');
			} else {
				subs[0] = data;
			}
			if(subs.length > 0) {
				for(var i = 0; i < subs.length; i++) {
					$("#subjectShow").append("<li>" + subs[i] + "</li>");
				};
			}
		}
	}

	function qualificationShow(data) {
		if(data != undefined && data.length != 0) {
			var subs = new Array();
			if(data.indexOf(',')) {
				subs = data.split(',');
			} else {
				subs[0] = data;
			}
			if(subs.length > 0) {
				for(var i = 0; i < subs.length; i++) {
					$("#qualification").append("<li><div class='h4tit'>" + subs[i] + "</div></li>");
				};
			}
		}
	}

	//企业详细信息
	function getCmpInfo(orgId) {
		$.ajax({
			type: "get",
			url: "/ajax/org/" + orgId,
			async: false,
			success: function(data) {
				var $info = data.data;
				//console.log($info)
				if(data.success) {
					if($info.hasOrgLogo) {
						$("#proHead").css("background-image", "url(/images/org/" + $info.id + ".jpg)");
					}
					if($info.forShort) {
						$("#proName").text($info.forShort);
					} else {
						$("#proName").text($info.name);
					}
					oName = $info.name;
					if($info.authStatus == "3") {
						$("#proAuth").addClass("authicon-com-ok");
						$("#proAuth").attr("title", "科袖认证企业");
					}
					if($info.city) {
						$("#proAddress").html($info.city + "<span style='margin-right:10px;'></span>");
					}
					var proOther = "";
					if($info.industry) {
						proOther = $info.industry.replace(/，/gi, " | ");
					}
					$("#proOther").text(proOther);
					if($info.orgType == "2") {
						$("#proTit").html(orgTypeShow[$info.orgType] + "<span style='margin-right:10px;'></span>");
					}
					var llqtitle = $info.name + "-" + proOther + "-科袖网"; //修改浏览器title信息
					document.title = llqtitle;
					//简介
					if($info.descp) {
						$("#descpS").text($info.descp);
					} else {
						$("#descpS").parents(".coninfobox").hide();
					}
					//学术领域		
					console.log($info.subject)
					if($info.subject) {
						subjectShow($info.subject);
					} else {
						$("#subjectShow").parents(".coninfobox").hide();
					}
					//企业资质
					if($info.qualification) {
						qualificationShow($info.qualification);
					} else {
						$("#qualification").parents(".coninfobox").hide();
					}

					//企业详情
					$("#orgName").text($info.name);
					if($info.orgSize) {
						//console.log(typeof($info.orgSize),orgSizeShow[$info.orgSize])
						$("#orgSize").text(orgSizeShow[$info.orgSize]);
					} else {
						$("#orgSize").parent("li").hide();
					}
					if($info.industry) {
						$("#orgIndustry").text($info.industry);
					} else {
						$("#orgIndustry").parent("li").hide();
					}
					if($info.city) {
						$("#orgCity").text($info.city);
					} else {
						$("#orgCity").parent("li").hide();
					}
					if($info.orgType) {
						$("#orgType").text(orgTypeShow[$info.orgType]);
					} else {
						$("#orgType").parent("li").hide();
					}

					if($info.foundTime) {
						$("#foundTime").text(TimeTr($info.foundTime));
					} else {
						$("#foundTime").parent("li").hide();
					}
					if($info.orgUrl) {
						$("#orgUrl").text($info.orgUrl);
					} else {
						$("#orgUrl").parent("li").hide();
					}

					var weibotitle = $info.name;
					var weibourl = window.location.href;
					var weibopic = "http://" + window.location.host + "/images/org/" + $info.id + ".jpg";
					$("#weibo").attr("href", "http://service.weibo.com/share/share.php?appkey=3677230589&title=" + encodeURIComponent(weibotitle) + "&url=" + encodeURIComponent(weibourl) + "&pic=" + encodeURIComponent(weibopic) + "&content=utf-8" + "&ralateUid=6242830109&searchPic=false&style=simple");
				}
			},
			error: function() {
				$.MsgBox.Alert('提示', '链接服务器超时')
			}
		});
	}
	//获取资源
	function getResource(pageSize, pageNo, isbind) {
		$.ajax({
			"url": "/ajax/resource/pqOrgPublish",
			"type": "get",
			"async": false,
			"data": {
				"orgId": orgId,
				"pageSize": pageSize,
				"pageNo": pageNo
			},
			"success": function(data) {
				//console.log(data);
				if(data.success) {
					$("#proResource").html("");
					if(data.data.data.length > 0) {
						for(var i = 0; i < data.data.data.length; i++) {
							var madiaHead = '';
							if(data.data.data[i].images.length) {
								madiaHead = '/data/resource/' + data.data.data[i].images[0].imageSrc;
							} else {
								madiaHead = '/images/default-resource.jpg';
							}
							var strAdd = '';
							strAdd += '<li><a href="resourceShow.html?resourceId=' + data.data.data[i].resourceId + '" class="flexCenter urlgo">';
							strAdd += '<div class="madiaHead resouseHead" style="background-image:url(' + madiaHead + ')"></div>';
							strAdd += '<div class="madiaInfo"><p class="h1Font ellipsisSty-2">' + data.data.data[i].resourceName + '</p><p class="h2Font ellipsisSty">应用用途：' + data.data.data[i].supportedServices + '</p></div>';
							strAdd += '</a></li>';

							if(i == 0) {
								$("#showResource").append(strAdd);
							}
							$("#proResource").append(strAdd);
						}
						if(isbind == true) {
							$(".resoucePageCode").createPage({
								pageCount: Math.ceil(data.data.total / 10),
								current: data.data.pageNo,
								backFn: function(p) {
									$("#proResource").html("");
									getResource(10, p, false);
									//document.body.scrollTop = document.documentElement.scrollTop = 0;
								}
							});
						}
					} else {
						$("#item2user .nodatabox").show();
						$("#item2user .nodatabox").find(".noContip").text("主人尚未发布任何资源");
						$("#showResource").parents(".coninfobox").hide();
					}
				}
			},
			"error": function() {
				$.MsgBox.Alert("提示", "服务器连接超时")
			}
		});
	}
	//获取文章
	function getArticle(pageSize, pageNo, isbind) {
		$.ajax({
			url: "/ajax/article/pqOrgPublish",
			dataType: 'json', //数据格式类型
			type: 'GET', //http请求类型
			data: {
				"orgId": orgId,
				"pageSize": pageSize,
				"pageNo": pageNo
			},
			timeout: 10000, //超时设置
			success: function(data) {
				if(data.success) {
					$("#proArticel").html("");
					if(data.data.data.length > 0) {
						$(".navconBox").find("li:contains('文章')").show();
						$(".navconBox").find("li:contains('主页')").show();
						for(var i = 0; i < data.data.data.length; i++) {
							var madiaHead = '/images/default-artical.jpg';
							if(data.data.data[i].articleImg) {
								madiaHead = '/data/article/' + data.data.data[i].articleImg;
							}
							var strAdd = '';
							strAdd += '<li><a href="articalShow.html?articleId=' + data.data.data[i].articleId + '" class="flexCenter urlgo">';
							strAdd += '<div class="madiaHead artHead" style="background-image:url(' + madiaHead + ')"></div>';
							strAdd += '<div class="madiaInfo"><p class="h1Font ellipsisSty-2">' + data.data.data[i].articleTitle + '</p>';
							strAdd += '<ul class="h2Font clearfix">';
							strAdd += '<li><span class="time">' + commenTime(data.data.data[i].publishTime) + '</span></li>';
							strAdd += '<li><span id="pageViews">阅读量 ' + data.data.data[i].pageViews + '</span></li>';
							strAdd += '<li><span id="articleAgree">点赞  ' + data.data.data[i].articleAgree + '</span></li>';
							strAdd += '<li><span id="comment"></span></li>';
							strAdd += '</ul></div>';
							strAdd += '</a></li>';

							var $strAdd = $(strAdd);
							$("#proArticel").append($strAdd);
							commentnum(data.data.data[i].articleId, $strAdd) //文章评论数
							if(i == 0) {
								$("#showArticle").append(strAdd);
								commentnum(data.data.data[0].articleId, $strAdd)
							}

						}
						if(isbind == true) {
							$(".expertPageCode").createPage({
								pageCount: Math.ceil(data.data.total / 10),
								current: data.data.pageNo,
								backFn: function(p) {
									$("#proArticel").html("");
									getArticle(10, p, false);
									//document.body.scrollTop = document.documentElement.scrollTop = 0;
								}
							});
						}
					} else {
						$("#item3user  .nodatabox").show();
						$("#item3user  .nodatabox").find(".noContip").text("主人尚未发布任何文章");
						$("#showArticle").parents(".coninfobox").hide();
						var i = 0;
						$("#item1user").find('.coninfobox').each(function() {
							if($(this).css("display") == "none") {
								i++;
							}
						})
						if(i == 4) {
							$(".navconBox ul>li").eq(3).addClass("liNow").siblings().removeClass("liNow");
							$("#item6user").show()
						}
					}
				}
			},
			error: function() {
				return;
			}
		});

	}

	//查文章评论数
	function commentnum(articleId, $itemlist) {
		$.ajax({
			"url": "/ajax/leaveWord/lwCount",
			"type": "GET",
			"dataType": "json",
			"async": false,
			"data": {
				"articleId": articleId
			},
			"success": function(data) {
				if(data.success) {
					$itemlist.find("#comment").text("评论 " + data.data);
				}
			},
			"error": function() {
				$.MsgBox.Alert('提示', '链接服务器超时')
			}
		});
	}
	//关注企业数量
	function commentnum() {
		$.ajax({
			"url": "/ajax/watch/countProfessor",
			"type": "GET",
			"dataType": "json",
			"async": true,
			"data": {
				"id": orgId,
				"type": 6
			},
			"success": function(data) {
				if(data.success) {
					$("#attenNum").text(data.data);
				}
			},
			"error": function() {
				$.MsgBox.Alert('提示', '链接服务器超时')
			}
		});
	}
	commentnum();
	function comNum() {
		$.ajax({
			"url": "/ajax/org/regInfo", 
			"type": "get",
			"dataType": "json",
			"data": {
				"name": oName
			},
			"success": function(data) {
				if(data.success) {
					if(data.data) {
						var $data = data.data;
						var str = "";
						if($data.num) {
							str += "<li>工商注册号：" + $data.num + "</li>"
						}
						if($data.code) {
							str += "<li>组织机构代码：" + $data.code + "</li>"
						}
						if($data.creditCode) {
							str += "<li>统一信用代码：" + $data.creditCode + "</li>"
						}
						if($data.type) {
							str += "<li>企业类型：" + $data.type + "</li>"
						}
						if($data.industry) {
							str += "<li>行业：" + $data.industry + "</li>"
						}
						if($data.operatingPeriod) {
							str += "<li>营业期限：" + $data.operatingPeriod + "</li>"
						}
						if($data.dayOfApproval) {
							str += "<li>核准日期：" + $data.dayOfApproval + "</li>"
						}
						if($data.manager) {
							str += "<li>登记机关：" + $data.manager + "</li>"
						}
						if($data.addr) {
							str += "<li>注册地址：" + $data.addr + "</li>"
						}
						if($data.scopeOfBusiness) {
							str += "<li>经营范围：" + $data.scopeOfBusiness + "</li>"
						}
						$("#comMes").html(str);
					}else {
						$("#comMes").parents("coninfobox").hide();
					}
				}
			},
			"error": function() {
				$.MsgBox.Alert('提示', '链接服务器超时')
			}
		});
	}
	comNum();

	function industryCommerce() {
		$.ajax({
			"url": "/ajax/org/incPageViews POST",
			"type": "POST",
			"dataType": "json",
			"async": true,
			"data": {
				"id": orgId,
			},
			"success": function(data) {
				if(data.success) {
					console.log(data);
				}
			},
			"error": function() {
				$.MsgBox.Alert('提示', '链接服务器超时')
			}
		});
	}
})